SPIP-Contrib

SPIP-Contrib

عربي | Deutsch | English | Español | français | italiano | Nederlands

291 Plugins, 198 contribs sur SPIP-Zone, 112 visiteurs en ce moment

Accueil > Squelettes > Outils pour squelettes > Zpip > Thèmes > Switcher de thèmes > Switcher de thèmes pour l’espace public

Switcher de thèmes pour l’espace public

4 janvier 2010 – par StephK – commentaires

8 votes

Ceci est une ARCHIVE, peut-être périmée. Vérifiez bien les compatibilités !

Ce switcher est désormais obsolète, il a été intégré nativement dans la plugin Zen Garden.

Le plugin Theme Switcher permet de basculer facilement sur le site public entre les différents thèmes installés dans le répertoire « themes ».

Voir le plugin SPIP-Zen-Garden

Auteurs

Adaptation pour les thèmes de Zpip du plugin "switcher de squelettes" de Philippe Drouot et de Fil, distribué sous licence GNU/GPL

Téléchargement et Installation

Téléchargez le plugin Theme Switcher sur la Zone ou via l’installation automatique de plugins de votre espace privé, puis activez-le

Fonctionnement

Ce plugin ajoute automatiquement (à partir du moment où le plugin est activé) un formulaire à liste déroulante sur toutes les pages de la partie publique du site, permettant de basculer entre les thèmes pour Zpip que vous avez installés (c’est à dire ceux qui sont dans le répertoire "themes" à la racine de votre site)

Personnalisation

Pour personnaliser le style par défaut du formulaire, allez dans le fichier « switcher_fonctions.php »

Dernière modification de cette page le 10 mars 2014

Retour en haut de la page

Vos commentaires

  • Le 11 mars 2010 à 00:17, par Cerdic En réponse à : Switcher de thèmes pour l’espace public

    Ce switcher est désormais obsolète, il a été intégré nativement dans la plugin Zen Garden.

    Répondre à ce message

  • Le 24 janvier 2010 à 02:01, par JeanPhir En réponse à : eregi_replace() obsolète...

    Le fichier “switcher_fonctions.php” utilisé avec PHP 5.3 (et suivant) retourne une erreur à cause de la fonction eregi_replace() qui est maintenant obsolète - "deprecated".

    Solution : utiliser la fonction preg_replace() à la place. La syntaxe étant la même (dans cette utilisation) il suffit de remplacer dans le code de ce fichier le texte "eregi_replace" par "preg_replace".

    • Le 24 janvier 2010 à 08:24, par alain cousin En réponse à : eregi_replace() obsolète...

      je pense que tu n’a pas la bonne version du zip l’erreur a été corrigée svn Revision : 34139 Dernier commit : 2009-12-29.

    Répondre à ce message

  • Le 6 janvier 2010 à 19:53, par ? En réponse à : Switcher de thèmes pour l’espace public

    je peux lire :

    Le plugin Theme Switcher permet de basculer facilement sur le site public entre les différents thèmes installés dans le répertoire « themes ».

    Hélas utilisant le squelette zarka LE SWITCHER ne fonctionne pas.

    ptet qu’une évolution est prévu ;)

    • Le 7 janvier 2010 à 08:59, par Teddy Payet En réponse à : Switcher de thèmes pour l’espace public

      Bonjour,

      Il semble que si vous utilisez zarka, c’est que vous n’utilisez pas Zpip... Non ?
      Dans ce cas (affirmatif), ce switcher ne vous sera pas d’une grande utilité car il est prévu pour le plugin Zpip/Zen Garden...

    Répondre à ce message

Répondre à cet article

Qui êtes-vous ?
  • [Se connecter]

Pour afficher votre trombine avec votre message, enregistrez-la d’abord sur gravatar.com (gratuit et indolore) et n’oubliez pas d’indiquer votre adresse e-mail ici.

Ajoutez votre commentaire ici Les choses à faire avant de poser une question (Prolégomènes aux rapports de bugs. )
Ajouter un document

Retour en haut de la page

Ça discute par ici

  • Facteur

    21 janvier 2010 – 424 commentaires

    Un plugin pour regrouper toutes les fonctions avancées autour de l’envoi de courriels. Introduction SPIP propose une fonction générique envoyer_mail() pour envoyer un courriel. Elle est assez simple d’utilisation mais peut paraître limitée (...)

  • Owl Carousel 2

    30 novembre 2017 – 43 commentaires

    Owl Carousel est un diaporama jQuery adaptable aux différentes tailles d’écran, qu’on peut actionner par glisser, il utilise CSS3 mais il est compatible avec les vieux navigateurs, et il est aussi paramétrable. Le présent plugin permet d’utiliser (...)

  • GIS 4

    11 août 2012 – 1535 commentaires

    Présentation et nouveautés La version 4 de GIS abandonne la libraire Mapstraction au profit de Leaflet. Cette librairie permet de s’affranchir des librairies propriétaires tout en gardant les mêmes fonctionnalités, elle propose même de nouvelles (...)

  • Le Couteau Suisse

    4 mai 2007 – 1861 commentaires

    Ce plugin propose d’introduire facilement de simples fonctionnalités supplémentaires à SPIP et qui s’avèrent rapidement indispensables ! Par exemple : le contrôle de nombreuses variables « cachées » de SPIP, des améliorations ou facilités typographiques, (...)

  • Formidable, le générateur de formulaires

    23 janvier 2012 – 2533 commentaires

    Un générateur de formulaires facilement configurable pour les non-informaticiens et facilement extensible pour les développeurs. Introduction L’objectif était de créer un plugin permettant de générer des formulaires. Historiquement, 2 plugins (...)